Questions tagged [php-7.4]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
0 votes
1 answer
229 views

Trying to access array offset on value of type null

Trying to access array offset on value of type null on Instagramshoppable/Controller/Gallery/Popuphtml.php on line 58 $a1 = file_get_contents($insta_url); $b1 = json_decode($a1, TRUE); $...
user avatar
1 vote
1 answer
79 views

How to magento1 compatible with php 7.4?

Please Help me guyz can we run magento1 using php 7.4? Please let me know (magento expert*). Thanks,
user avatar
  • 342
1 vote
3 answers
2k views

Syntax error when compiling / Upgrade from 2.4 to 2.4.3

I am getting this error when compiling my updated MCE 2.4.3 install. I have php 7.4.27 in magento and outside in the shell. I have read that this might be connected to wrong version of php but i ...
user avatar
0 votes
0 answers
118 views

How to get Category Id from CMS Page's Widget to the custom JS file in Magento 2

There are multiple widgets with one category id on each and every widget in Admin ->CMS Page. One of them is given below: {{widget type="Magento\CatalogWidget\Block\Product\ProductsList" ...
user avatar
0 votes
0 answers
8 views

2.3.7 upgrade (including 7.4PHP) keeps failing and results in site database overloading and site falling over

We have been trying to deploy 2.3.7 for 2 months. Each time we deploy as traffic increases on the site the server overloads and the site fails. We have tried the install on a clone database and do not ...
user avatar
  • 31
0 votes
0 answers
104 views

How to set Samesite = None in Magento2.4 PHP7.4

After I have checkouted product with a credit card after that session was expired
user avatar
0 votes
1 answer
185 views

After upgrade to 2.4.2-p1 getting error on compile "Fatal error: Uncaught TypeError: rtrim() expects parameter 1 to be string"

Getting error after upgrade to 2.4.2-p1, on di:compile command Application code generator... 3/9 [=========>------------------] 33% 1 min 380.0 MiBPHP Fatal error: Uncaught TypeError: rtrim() ...
user avatar
0 votes
1 answer
342 views

after install magento 2.4.2 frontend and backend url not working

I have installed Magento version 2.4.2 in xampp ubuntu with elastic search, installation was successful, but when i run front URL and backend URL, its not working, both URL's shows below error, ...
user avatar
2 votes
1 answer
23k views

Notice: Trying to access array offset on value of type null PHP 7.4

I am having a custom module for magento 2.4.2 but with php 7.4 I am having this issue: Notice: Trying to access array offset on value of type null in /public_html/app/code/mymodule/Helper/Data.php on ...
user avatar
  • 932
0 votes
7 answers
708 views

after install magento 2.4.2 fronend and backend not working properly

I have installed Magento 2.4.2 in ubuntu, but after the installation process when I run the front and backend URL, it's not working properly, I have installed Magento 2.4.2 using the command line. PHP ...
user avatar
  • 105
0 votes
2 answers
720 views

Datepicker not working in Magento 2.4 frontend

I am trying to add datepicker in Magento 2.4 frontend checkout page. But its giving following error - knockout.js:3381 Uncaught TypeError: Unable to process binding "datepicker: function(){return ...
user avatar
0 votes
1 answer
165 views

Magento 2 Update mass Product description using $mysqli->real_escape_string() using core php root script

After migrating all data from Magento 1.9 aproximat 800 product have static image urls in descriptin. {{skin url="images/seringue.gif"}} So I have created one root script to update all ...
user avatar
0 votes
1 answer
102 views

Request Parameters with php 7.4 and magento 2.4.1

After updating from 2.3.5p2 to 2.4.1 and from php 7.1 to php 7.4 I have strange trouble with request parameters. I see, that there are parameters set, when I var_dump $parameters=$this->request->...
user avatar
  • 413
3 votes
4 answers
4k views

Type Error occurred when creating object: Magento\Framework\Session\Generic\Interceptor, setcookie() expects parameter 3 to be integer, array given

After clear/setting/configuring so many errors & configurations installed the Magento V2.4.1 successfully, now getting below errors. Type Error occurred when creating object: Magento\Framework\...
user avatar
  • 3,910
0 votes
1 answer
2k views

M2.3 : Trying to access array offset on value of type bool running on PHP 7.4

While opening the admin page, getting below exception running on Magento 2.3.5-p2. 1 exception(s): Exception #0 (Exception): Notice: Trying to access array offset on value of type bool in /var/www/...
user avatar
  • 3,582
0 votes
0 answers
36 views

Magento1.9 :404 not found error

My magento site is 1.9 version. We upgraded the php version to 7.4. After upgrading php version most of the pages in the website coming as 404 error only for particular one store. Any idea on this why ...
user avatar
  • 1,093
0 votes
1 answer
524 views

Change Magento 2 PHP version in SSH

I'm currently trying to upgrade Magento 2.3.4 CE, to 2.4.0 CE. However I was constantly getting "Component Dependency" errors. I then tried to upgrade in SSH but got the following error: ...
user avatar
  • 370
2 votes
0 answers
15 views

Magento235 with PHP 7.4

Magento235 with PHP 7.4 I am trying to install Magento235 with PHP 7.4, but facing many errors. Is this a good idea?
user avatar
  • 3,446
0 votes
0 answers
130 views

Magento1.9 : array_key_exists deprecated in after upgrade php7.4

Am upgrading my magento1.9 site to php version 7.4. I got array_key_exists is deprecated in 7.4 version. In my magento site how to change that function. Some one says use isset or property_exists. How ...
user avatar
  • 1,093
0 votes
1 answer
19k views

Notice: Trying to access array offset on value of type bool PHP 7.4

I am trying to test magento 2.4 with PHP7.4. I have a custom module with this code: //checking for absolute weight $res = $this->_objectManager->get('Magento\Framework\App\ResourceConnection'); $...
user avatar
  • 932
0 votes
2 answers
379 views

When access to my address http://localhost.com/magento2 i got an error

At final phase to install Magento 2, When i went to access my address http://localhost.com/magento2 i got an error cause of index.php file, my address does not read the file as php file so i got the ...
user avatar
  • 1
1 vote
2 answers
2k views

Run Magento 1.9.4 using PHP 7.4

I know that magento 1.9.4 will support for php7.2. Php7.2 security support will end by this year nov 2020(https://www.php.net/supported-versions.php). For considering security aspect, planning to ...
user avatar